<?php

namespace Intuit\Models;

use Illuminate\Support\Arr;
use Jenssegers\Model\Model;

use Intuit\Traits\CompareAttributes;

/*

  +"time": "2022-08-13T21:15:37.254-07:00"
 */

final class Category extends Model
{
	use CompareAttributes;

	public function __get($key) {
		$keymap = [
			'id' => 'Id',
			'synctoken' => 'SyncToken',
		];

		switch ($key) {
			case 'created_at':
				return object_get($this->getAttribute('MetaData'),'CreateTime');
			case 'updated_at':
				return object_get($this->getAttribute('MetaData'),'LastUpdatedTime');

			default:
				return parent::__get(Arr::get($keymap,$key,$key));
		}
	}
}